/*
 * Copyright (c) 2012-2013, Batu Alp Ceylan
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution; if not, write to:
 * Free Software Foundation, Inc.
 * 51 Franklin Street, Fifth Floor
 * Boston, MA  02110-1301  USA
 */

package org.batoo.jpa.community.test.i167;

import java.util.List;

import junit.framework.Assert;

import org.batoo.jpa.community.test.BaseCoreTest;
import org.batoo.jpa.community.test.NoDatasource;
import org.junit.Test;

@SuppressWarnings("javadoc")
public class TestI167 extends BaseCoreTest {
	@Test
	@NoDatasource
	public void test() {
		final EntityWithVersionAndAutogeneratedValueId entity = new EntityWithVersionAndAutogeneratedValueId(1l);
		final EntityWithVersionAndAutogeneratedValueId entity2 = new EntityWithVersionAndAutogeneratedValueId(2l);
		persist(entity);
		persist(entity2);
		this.commit();
		this.close();

		this.begin();

		final List<?> resultList = this.cq("select a from EntityWithVersionAndAutogeneratedValueId a").getResultList();

		Assert.assertEquals(2, resultList.size());

		for (final Object e : resultList) {
			((EntityWithVersionAndAutogeneratedValueId) e).setValue(10l);
			this.persist(e);
		}
		this.commit();
		this.close();

		this.begin();

		final List<?> resultList2 = this.cq("select a from EntityWithVersionAndAutogeneratedValueId a").getResultList();

		Assert.assertEquals(2, resultList2.size());
		for (final Object e : resultList2) {
			Assert.assertEquals(10l, ((EntityWithVersionAndAutogeneratedValueId) e).getValue().longValue());
		}
	}
}
